# Asterisk Project : Asterisk 13 Application_GosubIf

Created by wikibot on Aug 08, 2014

# GosubIf()

### Synopsis

Conditionally jump to label, saving return address.

### Description

If the condition is true, then jump to labeliftrue. If false, jumps to labeliffalse, if specified. In either case, a jump saves the return point in the dialplan, to be returned to with a Return.

### Syntax

    GosubIf(condition?[labeliftrue:[labeliffalse]])

##### Arguments

- `condition`
- `destination`
  - `labeliftrue` - Continue at labeliftrue if the condition is true. Takes the form similar to Goto() of [[context,]extension,]priority.
    - `arg1`
    - `argN`
  - `labeliffalse` - Continue at labeliffalse if the condition is false. Takes the form similar to Goto() of [[context,]extension,]priority.
    - `arg1`
    - `argN`

### See Also

- Asterisk 13 Application_Gosub
- Asterisk 13 Application_Return
- Asterisk 13 Application_MacroIf
- Asterisk 13 Function_IF
- Asterisk 13 Application_GotoIf
- Asterisk 13 Application_Goto

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538